GET
/
roster-plans
/
{uuid}
/
summary
Get plan workload summary
curl --request GET \
  --url https://{server}.sanicus-connect.com/staff/roster-plans/{uuid}/summary \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{server}.sanicus-connect.com/staff/roster-plans/{uuid}/summary"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{server}.sanicus-connect.com/staff/roster-plans/{uuid}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{server}.sanicus-connect.com/staff/roster-plans/{uuid}/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{server}.sanicus-connect.com/staff/roster-plans/{uuid}/summary"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://{server}.sanicus-connect.com/staff/roster-plans/{uuid}/summary")
.header("Authorization", "Bearer <token>")
.asString();
require 'uri'
require 'net/http'

url = URI("https://{server}.sanicus-connect.com/staff/roster-plans/{uuid}/summary")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
{
  "uuidRosterPlan": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "planName": "<string>",
  "startDate": "2023-12-25",
  "endDate": "2023-12-25",
  "totalShifts": 123,
  "coveredShifts": 123,
  "totalAssignments": 123,
  "totalDays": 123,
  "understaffedShifts": 123,
  "lockedAssignments": 123,
  "draftAssignments": 123,
  "totalTravelMinutes": 123,
  "staffWorkloads": [
    {
      "uuidStaff": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "staffName": "<string>",
      "totalShifts": 123,
      "totalTravelMinutes": 123,
      "shiftsPerDay": {}
    }
  ]
}
{
"uuidRosterPlan": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planName": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"totalShifts": 123,
"coveredShifts": 123,
"totalAssignments": 123,
"totalDays": 123,
"understaffedShifts": 123,
"lockedAssignments": 123,
"draftAssignments": 123,
"totalTravelMinutes": 123,
"staffWorkloads": [
{
"uuidStaff": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"staffName": "<string>",
"totalShifts": 123,
"totalTravelMinutes": 123,
"shiftsPerDay": {}
}
]
}
{
"uuidRosterPlan": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planName": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"totalShifts": 123,
"coveredShifts": 123,
"totalAssignments": 123,
"totalDays": 123,
"understaffedShifts": 123,
"lockedAssignments": 123,
"draftAssignments": 123,
"totalTravelMinutes": 123,
"staffWorkloads": [
{
"uuidStaff": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"staffName": "<string>",
"totalShifts": 123,
"totalTravelMinutes": 123,
"shiftsPerDay": {}
}
]
}

Authorizations

Authorization
string
header
required

OAuth2 JWT issued by the Sanicus auth server. All endpoints require a valid token.

Path Parameters

uuid
string<uuid>
required

UUID of the roster plan

Response

Summary returned

uuidRosterPlan
string<uuid>
planName
string
startDate
string<date>
endDate
string<date>
status
enum<string>
Available options:
DRAFT,
CONFIRMED,
ACTIVE,
COMPLETED,
CANCELLED
totalShifts
integer<int32>
coveredShifts
integer<int32>
totalAssignments
integer<int32>
totalDays
integer<int64>
understaffedShifts
integer<int32>
lockedAssignments
integer<int32>
draftAssignments
integer<int32>
totalTravelMinutes
number
staffWorkloads
object[]